%define php_sapi apache2-mod_php
%define so_file  mod_php.so

Name: apache2-mod_php
Version: %php_version
Release: %php_release

Summary: The PHP4 HTML-embedded scripting language for use with Apache2
Group: System/Servers
License: PHP
Url: http://www.php.net/

Prereq: php = %php_version-%php_release
Prereq:	apache2 >= %apache_version-%apache_release

Conflicts: apache2-mod_php5
Provides: php-engine = %php_version-%php_release

Source1: %name-php.conf
Source2: %name.service
Source3: php.ini
Source4: %name-browscap.ini
Source5: php.control

Patch: php-4.4.6-apache2handler-sapi.patch

BuildRequires(pre): php-devel, apache2-devel

BuildRequires: libmm-devel libxml2-devel zlib-devel libexpat-devel libpcre-devel

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the
Apache2 web server.

%prep
%setup -T -c
%php_sapi_prepare apache2handler
%patch -p1 -b .sapi

%build
rm -f internal_functions.c

%apache_apxs \
  $(php-config --includes) \
  $(php-config --ldflags) %php_optflags \
  $(php-config --libs) \
  -I. -I./include -I/usr/include/apache -Iext/date/lib -I/usr/include/libxml2 \
  -DUSE_TRANSFER_TABLES=1 \
  -lphp-%_php_version \
  -o %so_file -c *.c 

%install
%__mkdir_p \
	%buildroot/%apache_addonconfdir \
	%buildroot/%apache_moduledir \
	%buildroot/%php_servicedir/%php_sapi \
	%buildroot/%php_sysconfdir/%php_sapi/php.d \
	%buildroot/%php_sysconfdir/%php_sapi/control.d \
	%buildroot/%_sysconfdir/control.d/facilities

%__install -m 644 %SOURCE1 %buildroot/%apache_addonconfdir/A.%name.conf
%__install -m 700 %SOURCE2 %buildroot/%php_servicedir/%php_sapi/condrestart
%__install -m 644 %SOURCE3 %buildroot/%php_sysconfdir/%php_sapi/php.ini
%__install -m 644 %SOURCE4 %buildroot/%php_sysconfdir/%php_sapi/browscap.ini
%__install -m 755 %SOURCE5 %buildroot/%_sysconfdir/control.d/facilities/%name

%__cp .libs/%so_file %buildroot/%apache_moduledir

for f in \
	%buildroot/%apache_addonconfdir/A.%name.conf \
	%buildroot/%php_sysconfdir/%php_sapi/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/%name
do
  %__subst 's,@SAPI@,%php_sapi,g' "$f"
  %__subst 's,@PHP_VERSION@,%_php_version,g' "$f"
  %__subst 's,@PHP_LIBDIR@,%_libdir/php,g' "$f"
  %__subst 's,@HTDOCSDIR@,%apache_htdocsdir,g' "$f"
  %__subst 's,@PHP_BROWSCAP@,%php_sysconfdir/%php_sapi/browscap.ini,g' "$f"
  %__subst 's,@PHP_UPLOADDIR@,%_spooldir/%a_name/uploads,g' "$f"
  %__subst 's,@PHP_SESSIONDIR@,%_spooldir/%a_name/sessions,g' "$f"
  %__subst 's,@LIBDIR@,%_libdir,g' "$f"
done

%post
%php_sapi_postin
%php_servicedir/%php_sapi/condrestart

%preun
%php_sapi_preun

%files
%_sysconfdir/control.d/facilities/*
%config(noreplace) %apache_addonconfdir/A.%name.conf
%dir %php_sysconfdir/%php_sapi
%dir %php_sysconfdir/%php_sapi/php.d
%dir %php_sysconfdir/%php_sapi/control.d
%config(noreplace) %php_sysconfdir/%php_sapi/php.ini
%config(noreplace) %php_sysconfdir/%php_sapi/browscap.ini
%php_servicedir/%php_sapi
%apache_moduledir/%so_file
%doc CREDITS

%changelog
* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.7-alt1
- rebuild with new php version (4.4.7).

* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt2.1
- fix Summary (ALT #11746).

* Tue Apr 10 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt2
- rebuild due libmm update.

* Thu Mar 08 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt1
- prepare for release:
  + fix session/uploads path for apache2;
  + fix control script (update suhosin actions/add short_open_tag rule)
  + fix apache2 .conf

* Sun Mar 04 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt0.1
- Update browsecap to latest version.
- Initial release based on legion@ apache2-mod_php5 template.

